cohttpversion

HTTP library for Lwt, Async and Mirage

If you wish to install the Lwt_unix version, then you will also need the ssl optional package for this version. Just do:

opam install cohttp lwt ssl to get a fully working HTTP(S) Lwt_unix client.

Tags org:mirage org:xapi-project
AuthorsAnil Madhavapeddy, Stefano Zacchiroli, David Sheets, Thomas Gazagnaire, David Scott, Rudi Grinberg and Andy Ray
LicenseISC
Published
Homepagehttps://github.com/mirage/ocaml-cohttp
Issue Trackerhttps://github.com/mirage/ocaml-cohttp/issues
Maintaineranil@recoil.org
Dependencies
Optional dependencies
Conflicts
  • async<109.15.00 | >=113.00.00
  • aws>=1.0.0 & <1.2
  • git>=1.4.4 & <1.10.0
  • irmin>=0.9.0 & <1.0.0
  • lwt<2.4.3 | >=2.5.0
  • rdf>=0.9.0 & <0.12.0
Source [http] https://github.com/mirage/ocaml-cohttp/archive/v0.10.0.tar.gz
md5=46e26e1327a536a1c0dddcb197ce1267
StatisticsInstalled once last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/cohttp/cohttp.0.10.0/opam
Required by
Optionally used by